Bug 519086 - [Cisco 5.5 FEAT] Include/Update support for enic version 1.1.0.100
Summary: [Cisco 5.5 FEAT] Include/Update support for enic version 1.1.0.100
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.5
Assignee: Andy Gospodarek
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 533192 557292 533941
TreeView+ depends on / blocked
 
Reported: 2009-08-25 02:31 UTC by Scott Feldman
Modified: 2014-06-29 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:02:09 UTC


Attachments (Terms of Use)
enic-update-to-upstream-version-1.1.0.100.patch (39.29 KB, patch)
2009-11-18 21:47 UTC, Andy Gospodarek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Scott Feldman 2009-08-25 02:31:02 UTC
1.  Feature Overview:
     a. Name of feature: Update RHEL 5.4.z with enic version 1.1.0.x
        
     b. Feature Description
        Bug fixes/enhancements for enic driver update.  Itemized list to be provided later (but not too much later).


2.  Feature Details:
     a. Architectures:
         32-bit x86
         64-bit Intel EM64T/AMD64
                :
     b. Red Hat Bugzilla Dependencies: none

     c. Drivers or hardware dependencies:

     d. Upstream acceptance information: Planning on submitting early week of 8/31/09 to netdev

     e. External links:

     f. Severity (U,H,M,L):
         High (required for Hardware Enablement)

     g. Target Release Date: RHEL 5.4.z errata kernel
 

3. Business Justification:
     a. Why is this feature needed?  Hardware support, for (see b.)
     b. What hardware does this enable?  Cisco 10G Ethernet NIC
     c. Forecast, impact on revenue?  Cisco USC enablement.
     d. Any configuration info?
     e. Are there other dependencies (drivers).

4. Primary contact at Red Hat, email, phone (chat)

5. Primary contact at Partner, email, phone (chat)
    Scott Feldman
    scofeldm@redhat.com
    408-387-6062

Comment 1 Andrius Benokraitis 2009-08-25 02:35:49 UTC
Scott - this is for updating RHEL 5.5, not 5.4.z. Sorry if I had you misunderstood. Thanks!

Comment 3 Andrius Benokraitis 2009-09-16 16:50:17 UTC
Andy - will you be doing the backport, or are you expecting Cisco to do it and then post it here? In the past you did it and I think the expectation is that will still hold. Cisco has the requested driver version in the summary to backport.

Comment 4 Scott Feldman 2009-09-21 21:40:58 UTC
This was the patch summary list for patches listed in comment #2:

      01 enic: add support for multiple BARs
      02 enic: workaround A0 erratum
      03 enic: bug fix: split TSO fragments larger than 16K into
         multiple descs
      04 enic: use netdev_alloc_skb
      05 enic: bug fix: protect fw call i/f with spinlock
      06 enic: bug fix: included MAC drops in rx_dropped netstat
      07 enic: provision for multiple Rx/Tx queues; prepare for RSS support
      08 enic: bug fix: enable VLAN filtering
      09 enic: changes to driver/firmware interface
      10 enic: bug fix: check for zero port MTU before posting warning
      11 enic: organize device initialization/deinit into separate functions

Comment 5 Andy Gospodarek 2009-10-28 20:09:22 UTC
Andrius, I will pull together the backport from upstream fixes, but will appreciate review and feedback from Cisco when it is complete.

Comment 6 Andrius Benokraitis 2009-10-28 20:24:51 UTC
Thanks Andy - Scott definitely has OK'd to test. There is one NAPI-related patch that may be coming soon, but not sure the ETA.

Scott - anything to add here?

Comment 7 Scott Feldman 2009-10-28 20:33:18 UTC
Yes, no problem, let us know when it's ready for review.

Comment 8 Scott Feldman 2009-10-28 20:35:29 UTC
Let's see what the final merged version looks like and then we can check if any NAPI-related patches are required.  There are some subtle differences between NAPI APIs in upstream kernel vs. 2.6.18 kernels in RHEL 5.x, so we'll be reviewing this and making sure we get the right solution for RHEL 5.x.

Comment 9 Chris Ward 2009-11-11 10:51:54 UTC
@Cisco

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 Beta 
Test Phase before we can approve it for acceptance into the 
release.

RHEL 5.5 Beta Test Phase is expected to begin around February
2010.

In order to avoid any unnecessary delays, please post a 
confirmation as soon as possible, including the contact 
information for testing engineers.

Comment 11 Andy Gospodarek 2009-11-18 21:47:06 UTC
Created attachment 370206 [details]
enic-update-to-upstream-version-1.1.0.100.patch

Scott, I have put together a patch for RHEL5 with the latest changes from upstream.  It is attached here, but I will build test kernels and have them ready sometime tomorrow.  It should include all the updates you requested.  I'll post a link in this bug when it is ready.

Comment 12 Andy Gospodarek 2009-11-19 02:24:05 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

Comment 13 Scott Feldman 2009-11-21 00:02:03 UTC
Andy,

I've down some preliminary Engineering testing with the xen and non-xen kernels and everything is working fine with enic.  I haven't noticed any functional or performance issues.  Thanks for merging the patches.

-scott

Comment 14 Scott Feldman 2009-11-21 00:10:55 UTC
Chris,

Per your comment #9, Cisco is committed to testing enic updates for RHEL 5.5 beta test.

The Cisco QA contact is Anthony Kent <antkent@cisco.com>.

-scott

Comment 15 Chris Ward 2009-11-23 10:28:30 UTC
Thanks. This request has been approved for update in 5.5

Comment 16 Andy Gospodarek 2009-11-30 22:25:55 UTC
Thanks, Scott.  I'm going to post the patch used in my test kernels for internal review tomorrow, so the more quickly you can find problems the better.

Comment 18 Don Zickus 2009-12-11 19:29:37 UTC
in kernel-2.6.18-179.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 21 Chris Ward 2010-02-11 10:06:13 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 22 Scott Feldman 2010-02-11 16:35:36 UTC
This bug can be subsumed by BZ 550148 which bumps the enic version to 1.1.0.241a.

Comment 25 errata-xmlrpc 2010-03-30 07:02:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.